EZ_Initialize(3)

NAME
EZ_Initialize, EZ_InitializeXrm - initialize the EZWGL library

SYNOPSIS
#include <EZ.h>

void  EZ_Initialize( int argc, char  **argv, int initgl)

void  EZ_InitializeXrm( char *className, XrmOptionDescRec *optsTable,
                int nOptions, int *argc_in_out, char **argv,
                char *fbkResrc, int initgl)

ARGUMENTS
argc Specifies the number of command line parameters.

argc_in_out Specifies the pointer to argc.

argv Specifies the command line parameters.

initgl Specifies whether or not to initialize the graphics library.

className Specifies the className of the application.

optsTable Specifies the command line option table.

nOptions Specifies the number of entries in optsTable.

fbkResrc Specifies the fallback resources.

DESCRIPTION

Each of these two functions initializes the EZWGL library. It opens the X server connection and initializes the internal data structure for EZWGL. Must be invoked before calling any other functions in the EZWGL library.

EZ_InitializeXrm is recommended since it is capable of parsing the command line options. This function modifies *argc_in_out.

All EZWGL application takes the following set of command line options.
-display DISPLAY
-iconic
-xrm RESOURCE_STRING
-name NAME_STRING
-visual VISUAL_TYPE
-geometry WIDTHxHEIGHT+XOFF+YOFF
-background COLOR
-bg COLOR
-foreground COLOR
-fg COLOR
-backingstore
-privateColormap
-readWriteColormap

SEE ALSO
EZ_CreateWidget(3), EZ_Shutdown(3)